<menu>
	<!-- 
		This is the menu-definition for the ControlScreenlet. This file
		gives full access to the layout of the right-click menu and allows
		to connect menu-items to certain actions by defining the action in
		the "id"-field of an item. 
		
		Available actions are:
			- "exec:<shell-command>" executes a shell command
			- "add:<Screenlet-classname>" adds a new instance of the given class
			- "info" shows about/info dialog for the Screenlet
			- "size:<size>" sets the Screenlet's size to the given number
			
		Available items are <item>, <checkitem>, <imagetem> and 
		<separator>. Please don't forget to only write valid XML, otherwise the
		menu can not be created. There is an experimental feature <scandir> - 
		it allows scanning directories for files/dirs, skip certain files, 
		replace string(s) in filenames, append prefix/suffix and 
		finally create a gtk.MenuItem for each file in the dir.
	-->
	<!-- Uncomment to add Hide/show option to menu -->
	<!--<item label="Hide/Show" id="hide_show" />-->
	<!-- user definable actions here: -->
	<item label="Applications">
		<appdir path="/usr/share/applications/" 
			cats="Utility,Office,Network,Graphics,AudioVideo,Development,Game" />
	</item>
	<imageitem label="Screenlet Manager" icon="screenlets" id="exec:screenlets-manager" />
	<imageitem label="Visit Homepage" icon="firefox" id="exec:xdg-open http://gnome-look.org/content/show.php/Sidebar+Screenlet+%28Vista%27ish+look%29?content=63172" />
	<imageitem label="Get more Screenlets" icon="firefox" id="exec:xdg-open http://screenlets.org/index.php/Category:UserScreenlets" />
	<imageitem label="Get Sidebar Skins" icon="firefox" id="exec:xdg-open http://gnome-look.org/content/show.php?content=79757" />
	<item label="Install Screenlet"  id="Install" />
	<separator />
	<!--<item label="Create Desktop Shortcut"  id="shortcut" />
	<separator />-->
	<!-- add applications-menu -->
	<!--<item label="Applications">
		<appdir path="/usr/share/applications/" 
			cats="Office,Development,Game,Utility" />
	</item>
	<separator />-->
	<!-- Screenlet-menu -->
	<item label="Launch Screenlet">
			<scandir directory="$HOME/.screenlets" 
				filter="*"
				id_prefix="add:"
				id_suffix="Screenlet"
				search=""
				replace=""
			/>
			<separator />
			<scandir directory="/usr/share/screenlets" 
				filter="*"
				id_prefix="add:"
				id_suffix="Screenlet"
				search=""
				replace=""
			/>
			<!-- TODO: replace $HOME in directory -->
			<!-- <scandir directory="$HOME/.screenlets" /> -->
	</item>
<!--	<item label="Add Screenlet to Startup">
			<scandir directory="/usr/local/share/screenlets" 
				filter="*"
				skip="screenletsd.py,add-screenlet.py"
				id_prefix="startupadd:"
				id_suffix="Screenlet"
				search=""
				replace=""
			/>
			<separator />
			<scandir directory="$HOME/.screenlets" 
				filter="*"
				id_prefix="startupadd:"
				id_suffix="Screenlet"
				search=""
				replace=""
			/>
			<scandir directory="/usr/share/screenlets" 
				filter="*"
				id_prefix="startupadd:"
				id_suffix="Screenlet"
				search=""
				replace=""
			/>
	</item>
	<item label="Remove Screenlet from Startup">
			<scandir directory="/usr/local/share/screenlets/Sidebar/startup" 
				filter="*"
				skip="screenletsd.py,add-screenlet.py"
				id_prefix="startupremove:"
				id_suffix="Screenlet"
				search=""
				replace=""
			/>
			<separator />
			<scandir directory="$HOME/.screenlets/Sidebar/startup" 
				filter="*"
				id_prefix="startupremove:"
				id_suffix="Screenlet"
				search=""
				replace=""
			/>
			<scandir directory="/usr/share/screenlets/Sidebar/startup" 
				filter="*"
				id_prefix="startupremove:"
				id_suffix="Screenlet"
				search=""
				replace=""
			/>
	</item>-->
	<item label="Close all Screenlets"  id="kill" />
	<separator />
	<item label="Select Alignment">
		<item label="Align Right" icon="screenlets" id="align:Right" />
		<item label="Align Right Reserved" icon="screenlets" id="align:Right_Reserved" />
		<item label="Align Left" icon="screenlets" id="align:Left" />
		<item label="Align Left Reserved" icon="screenlets" id="align:Left_Reserved" />
		<item label="Align Top" icon="screenlets" id="align:Top" />
		<item label="Align Top Reserved" icon="screenlets" id="align:Top_Reserved" />
		<item label="Align Bottom" icon="screenlets" id="align:Bottom" />
		<item label="Align Bottom Reserved" icon="screenlets" id="align:Bottom_Reserved" />
	</item>
	<item label="Background Style">
		<item label="Themed" icon="screenlets" id="bg:Theme" />
		<item label="Custom Color" icon="screenlets" id="bg:Custom" />
		<item label="System Color" icon="screenlets" id="bg:System" />
	</item>
		<item label="Themes">
			<!-- NOTE: this is still not perfect but works here -->
			<scandir 
				directory="$HOME/.screenlets/Sidebar/themes"  
				filter="*" 
				id_prefix="theme:"
				id_suffix=""
				search=""
				replace=""  
			/>
			<scandir 
				directory="/usr/share/screenlets/Sidebar/themes"  
				filter="*" 
				id_prefix="theme:"
				id_suffix=""
				search=""
				replace=""  
			/>
		</item>
		<separator />
		<item label="Properties..." id="options" />
		<separator />
		<item label="Remove Screenlet" id="delete" />
		<item label="Quit This Sidebar" id="quit_instance" />
		<item label="Quit all sidebars" id="quit" />
</menu>
